Retrieves the job approval with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| user_id |
Foreign key, user that makes the approval |
globally unique identifier |
Required |
| ready_for_multi_approval |
Inform if this is a temp approval prepared for a future approval with the customer (multi approval) |
boolean | |
| is_daily_approval |
Intermediate approval of full approval |
boolean | |
| contact_id |
Foreign key of contact, that signed the approval |
globally unique identifier | |
| contact_name |
Contact fullname that sign the approval if not already exists |
string |
Max length: 255 |
| customer_remarks |
Remarks of the customer during the approval |
string |
Max length: 4000 |
| date_generated |
Local Date+Time of the approval generation |
date | |
| additional_email |
Additional emails that should receive the approval pdf |
string |
Max length: 4000 |
| is_signed |
Inform if a signature is available (cf db_signature) |
boolean | |
| job_status_id |
Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed) |
globally unique identifier | |
| rating |
Rating (0,5) the quality of the jobs |
integer | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "30baad42-efe9-487c-bba0-c50f916d6e14",
"jobs_id": "5ccbe33f-3e93-4619-b6b4-67d796e75bab",
"user_id": "419860c0-8e41-4eed-bc1a-66e2bf90e47e",
"ready_for_multi_approval": true,
"is_daily_approval": true,
"contact_id": "56c828e3-0277-45cf-abe2-045509cfc4d8",
"contact_name": "sample string 7",
"customer_remarks": "sample string 8",
"date_generated": "2026-07-29T17:07:21.5998083+00:00",
"additional_email": "sample string 10",
"is_signed": true,
"job_status_id": "2aad48d0-b8c8-4a0f-846f-419e910f4ca1",
"rating": 13,
"modified_dateutc": "2026-07-29T17:07:21.5998083+00:00"
}